Name:         plan1
Namespace:    openshift-mtv
Labels:       <none>
Annotations:  populatorLabels: True
API Version:  forklift.konveyor.io/v1beta1
Kind:         Plan
Metadata:
  Creation Timestamp:  2024-12-05T11:34:15Z
  Generation:          1
  Managed Fields:
    API Version:  forklift.konveyor.io/v1beta1
    Fields Type:  FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .:
          f:kubectl.kubernetes.io/last-applied-configuration:
      f:spec:
        .:
        f:map:
          .:
          f:network:
          f:storage:
        f:provider:
          .:
          f:destination:
          f:source:
        f:targetNamespace:
        f:vms:
    Manager:      kubectl-client-side-apply
    Operation:    Update
    Time:         2024-12-05T11:34:15Z
    API Version:  forklift.konveyor.io/v1beta1
    Fields Type:  FieldsV1
    fieldsV1:
      f:status:
        .:
        f:conditions:
        f:migration:
          .:
          f:history:
          f:started:
          f:vms:
        f:observedGeneration:
    Manager:         forklift-controller
    Operation:       Update
    Subresource:     status
    Time:            2024-12-05T11:38:13Z
  Resource Version:  941339247
  UID:               adc4c227-4087-46fa-a9b2-09c6b782b645
Spec:
  Map:
    Network:
      API Version:  forklift.konveyor.io/v1beta1
      Kind:         NetworkMap
      Name:         networkmap-perf
      Namespace:    openshift-mtv
    Storage:
      API Version:  forklift.konveyor.io/v1beta1
      Kind:         StorageMap
      Name:         storagemap-perf
      Namespace:    openshift-mtv
  Provider:
    Destination:
      API Version:  forklift.konveyor.io/v1beta1
      Kind:         Provider
      Name:         host
      Namespace:    openshift-mtv
    Source:
      API Version:   forklift.konveyor.io/v1beta1
      Kind:          Provider
      Name:          vsphere-7.0.3-2
      Namespace:     openshift-mtv
  Target Namespace:  plan1
  Vms:
    Id:    vm-7020
    Name:  rhel79-50gb-70usage-3disks-vm-1
Status:
  Conditions:
    Category:              Required
    Last Transition Time:  2024-12-05T11:34:23Z
    Message:               The migration plan is ready.
    Status:                True
    Type:                  Ready
    Category:              Advisory
    Durable:               true
    Last Transition Time:  2024-12-05T11:34:57Z
    Message:               The plan is EXECUTING.
    Status:                True
    Type:                  Executing
  Migration:
    History:
      Conditions:
        Category:              Advisory
        Durable:               true
        Last Transition Time:  2024-12-05T11:34:57Z
        Message:               The plan is EXECUTING.
        Status:                True
        Type:                  Executing
      Map:
        Network:
          Generation:  1
          Name:        networkmap-perf
          Namespace:   openshift-mtv
          UID:         1353728a-4d74-4947-b924-8bc540da86ae
        Storage:
          Generation:  1
          Name:        storagemap-perf
          Namespace:   openshift-mtv
          UID:         2d330128-f1ef-4219-a638-5774c6a2453f
      Migration:
        Generation:  1
        Name:        plan1-f5bzw
        Namespace:   openshift-mtv
        UID:         99830f92-122f-41fb-bb88-c9af685e32a3
      Plan:
        Generation:  1
        Name:        plan1
        Namespace:   openshift-mtv
        UID:         adc4c227-4087-46fa-a9b2-09c6b782b645
      Provider:
        Destination:
          Generation:  1
          Name:        host
          Namespace:   openshift-mtv
          UID:         1c2020bb-eb13-461f-8d7e-eb6536c2064a
        Source:
          Generation:  1
          Name:        vsphere-7.0.3-2
          Namespace:   openshift-mtv
          UID:         fc99ecc8-dd3c-46a9-a84b-6b6fbeeb2e60
    Started:           2024-12-05T11:34:57Z
    Vms:
      Id:  vm-7020
      Luks:
      Name:   rhel79-50gb-70usage-3disks-vm-1
      Phase:  CopyDisksVirtV2V
      Pipeline:
        Completed:    2024-12-05T11:35:09Z
        Description:  Initialize migration.
        Name:         Initialize
        Phase:        Completed
        Progress:
          Completed:  0
          Total:      1
        Started:      2024-12-05T11:34:57Z
        Annotations:
          Unit:       MB
        Completed:    2024-12-05T11:35:34Z
        Description:  Allocate disks.
        Name:         DiskAllocation
        Phase:        Completed
        Progress:
          Completed:  153600
          Total:      153600
        Started:      2024-12-05T11:35:12Z
        Tasks:
          Annotations:
            Unit:     MB
          Completed:  2024-12-05T11:35:34Z
          Name:       [MTV-ISCSI-Basic] rhel79-50gb-70usage-3disks-vm-1/rhel79-50gb-70usage-3disks-vm-1_3.vmdk
          Phase:      Completed
          Progress:
            Completed:  51200
            Total:      51200
          Reason:       Transfer completed.
          Started:      2024-12-05T11:35:34Z
          Annotations:
            Unit:     MB
          Completed:  2024-12-05T11:35:25Z
          Name:       [MTV-ISCSI-Basic] rhel79-50gb-70usage-3disks-vm-1/rhel79-50gb-70usage-3disks-vm-1.vmdk
          Phase:      Completed
          Progress:
            Completed:  51200
            Total:      51200
          Reason:       Transfer completed.
          Started:      2024-12-05T11:35:22Z
          Annotations:
            Unit:     MB
          Completed:  2024-12-05T11:35:34Z
          Name:       [MTV-ISCSI-Basic] rhel79-50gb-70usage-3disks-vm-1/rhel79-50gb-70usage-3disks-vm-1_1.vmdk
          Phase:      Completed
          Progress:
            Completed:  51200
            Total:      51200
          Reason:       Transfer completed.
          Started:      2024-12-05T11:35:34Z
        Completed:      2024-12-05T11:36:43Z
        Description:    Convert image to kubevirt.
        Name:           ImageConversion
        Phase:          Completed
        Progress:
          Completed:  0
          Total:      1
        Started:      2024-12-05T11:35:37Z
        Annotations:
          Unit:       MB
        Description:  Copy disks.
        Name:         DiskTransferV2v
        Phase:        Running
        Progress:
          Completed:  18944
          Total:      153600
        Started:      2024-12-05T11:36:46Z
        Tasks:
          Annotations:
            Unit:  MB
          Name:    [MTV-ISCSI-Basic] rhel79-50gb-70usage-3disks-vm-1/rhel79-50gb-70usage-3disks-vm-1_3.vmdk
          Progress:
            Completed:  18944
            Total:      51200
          Annotations:
            Unit:  MB
          Name:    [MTV-ISCSI-Basic] rhel79-50gb-70usage-3disks-vm-1/rhel79-50gb-70usage-3disks-vm-1.vmdk
          Progress:
            Completed:  0
            Total:      51200
          Annotations:
            Unit:  MB
          Name:    [MTV-ISCSI-Basic] rhel79-50gb-70usage-3disks-vm-1/rhel79-50gb-70usage-3disks-vm-1_1.vmdk
          Progress:
            Completed:  0
            Total:      51200
        Description:    Create VM.
        Name:           VirtualMachineCreation
        Phase:          Pending
        Progress:
          Completed:        0
          Total:            1
      Restore Power State:  Off
      Started:              2024-12-05T11:34:57Z
  Observed Generation:      1
Events:
  Type    Reason          Age                    From  Message
  ----    ------          ----                   ----  -------
  Normal  ValidatingVDDK  3m50s (x2 over 3m57s)  plan  Validating VDDK init image
  Normal  Ready           3m50s                  plan  The migration plan is ready.
